package Grenouille::Config;

# This software may be used and distributed according to the terms
# of the GNU General Public License, incorporated herein by reference.

use strict;
use Exporter qw();
use Grenouille::Vars qw($LASTCONFIGFILE $UPLOADFILE $ASAP $SEC $MIN %vars);
use Grenouille::Log qw(display_and_log);
use Grenouille::Scheduler qw(schedule_event);
use Grenouille::Numbers qw(jitter);
use vars qw(@ISA @EXPORT_OK %config);
@ISA=qw(Exporter);
@EXPORT_OK=qw(load_config store_config %config);

# --------------------------- CONFIGURATION ----------------------------

%config = ();

sub store_config($$) {
    my($chash, $filename) = @_;
    open(FN, ">$filename") or die "$filename: $!";
    map { print FN "$_=$chash->{$_}\n"; } sort keys %$chash;
    close FN;
}

sub load_config($) {
    my($filename) = @_;
    my(%chash) = ();
    if(open(FN, "<$filename")) {
	while(<FN>) {
	    chomp;
	    $chash{$1} = $2 if /^([^=]*)=(.*)$/;
	}
	close FN;
    }
    return %chash;
}

1;
