package Grenouille::Vars;

# This software may be used and distributed according to the terms
# of the GNU General Public License, incorporated herein by reference.

use strict;
use Exporter qw();
use vars qw(@ISA @EXPORT_OK
            $MYRC $DATAPATH $DOWNLOADFILE $UPLOADFILE $QUEUEFILE 
            $LASTCONFIGFILE $LASTVERSIONFILE $PIDFILE $LOGFILE
            $BEFOREFILE $AFTERFILE
            $ASAP $SEC $MIN $HOUR $DAY @MONTHS
            $USER
            %VERSION %DEBUG
            %vars);
@ISA=qw(Exporter);
@EXPORT_OK=qw($MYRC $DATAPATH $DOWNLOADFILE $UPLOADFILE $QUEUEFILE
              $LASTCONFIGFILE $LASTVERSIONFILE $PIDFILE $LOGFILE 
              $BEFOREFILE $AFTERFILE
              $ASAP $SEC $MIN $HOUR $DAY @MONTHS
              $USER
              %VERSION %DEBUG
              %vars);

# Version
%VERSION = ( 'client' => 'plgrenouille',
             'version' => 0.70,
             'beta' => 2, # 0 for release versions
             'build' => 0, # build numbers imply linear development,
                           # so they are foreign to free dev world
                           # where anyone can fork his own version
             'system' => ($^O eq 'win32' ? 'windows' : $^O) );

# Paths
$MYRC ||= '/usr/local/etc/grenouillerc';
$BEFOREFILE ||= '/usr/local/etc/plgrenouille-before';
$AFTERFILE ||= '/usr/local/etc/plgrenouille-after';
$DATAPATH ||= '/var/spool/plgrenouille';
$DOWNLOADFILE ||= "$DATAPATH/downloadfile";
$UPLOADFILE ||= "$DATAPATH/uploadfile";
$QUEUEFILE ||= "$DATAPATH/queued_results.txt";
$LASTCONFIGFILE ||= "$DATAPATH/last_configuration.txt";
$LASTVERSIONFILE ||= "$DATAPATH/last_known_version.txt";
$PIDFILE ||= "/var/run/plgrenouille.pid";
$LOGFILE ||= "/var/log/plgrenouille.log";

# Time constants
$ASAP ||= 0;
$SEC ||= 1;
$MIN ||= 60 * $SEC;
$HOUR ||= 60 * $MIN;
$DAY ||= 24 * $HOUR;
@MONTHS = qw(Jan Feb Mar Apr May Jun Jul Aug Sep Oct Nov Dec);

$USER ||= 'daemon';

# Debugging
# what features do we want to debug ?
%DEBUG = ( 'protocol' => 0, 'scheduler' => 0 );
# disable debugging in official releases
%DEBUG = () unless $VERSION{'beta'};

%vars = ();

1;
